# Hypertext Advanced Targets - Polling
Websites may want to present data that is most useful when kept up to date. There should be a standard to let people opt in to this, but which prevents sites from uploading any data surfers haven't opted into.

Furthermore notification support should be defined in this standard so as to ensure webpages are making sensible use of that feature in support browsers.

## Case studies
* https://mastodon.social/
* https://riot.im/app/
* An election map (Difficult to demo when there's not one on)

## Prior Work
* https://john.ankarstrom.se/english/texts/replacing-javascript/
* http://intercoolerjs.org/ - This spec will likely be based in large part on this framework.
* https://tildegit.org/alcinnz/PostJS/src/branch/master/drafts/hyperlinks-advanced-targets.md

## Concerns
* Unbounded use of Internet bandwidth.
* Could be used to surveil users - have to limit that and require confirmation in the surfer's own time.